Subject: 404

From: [email-masked] (Dan Black)
Date: Thu, 19 Aug 1999 19:30:00 PDT

I thought I saw a poem once about the 404 error message, but I couldn't
find it anywhere, in my files or on the web, including at the rhf web
site.  So I wrote my own; it is now the error message given for a 404 on
the server in my office.  So I guess this is all original.

				      404

    It is said, "To err is human,"
    That quote from alt.times.lore,
    Alas, you have made an error,
    So I say, "404."

    Double-check your URL,
    As we all have heard before.
    You ask for an invalid filename,
    And I respond, "404."

    Perhaps you made a typo --
    Your fingers may be sore --
    But until you type it right,
    You'll only get 404.

    Maybe you followed a bad link,
    Surfing a foreign shore;
    You'll just have to tell that author
    About this 404.

    I'm just a lowly server
    (Who likes to speak in metaphor),
    So for a request that I don't know,
    I must return 404.

    Be glad I'm not an old mainframe
    That might just dump its core,
    Because then you'd get a ten-meg file
    Instead of this 404.

    I really would like to help you,
    But I don't know what you're looking for,
    And since I don't know what you want,
    I give you 404.

    Remember Poe, insane with longing
    For his tragically lost Lenore.
    Instead, you quest for files.
    Quoth the Raven, "404!"

						by Dan Black
						[email-masked]
						16 August 1999

-- 
Selected by Jim Griffith.  MAIL your joke to [email-masked].
Attribute the joke's source if at all possible.  A Daemon will auto-reply.

Remember: Always give your jokes a descriptive "Subject:" line.
Don't use "joke" or "submission" or "joke submission," please.
For the full submission guidelines, see http://www.netfunny.com/rhf/

This joke's link: http://www.netfunny.com/rhf/jokes/99/Aug/four.html